Subject: bug#78665: 31.0.50; Very slow saves

From: Juri Linkov <[email-masked]>
Date: Tue, 03 Jun 2025 18:37:01 +0300

> I sent the bug-report because I had finally the backtrace to point the
> finger at something but couldn't investigate further at that point.
> But now that you mention it, maybe the culprit is:
>
>     commit 746a3cb3143194436c4a1a63d26aac890c1a705f
>     Author: Juri Linkov <[email-masked]>
>     Date:   Tue Apr 29 19:55:48 2025 +0300
>
>         Ignore parens in strings for outline headings in emacs-lisp-mode.
>
> [ Poor Juri: while it's his change, I was the one who asked him to install
>   it into `master` since it seemed like an obvious improvement (I mean,
>   it is, but I didn't forsee such impacts on performance).   ]

So Jonas was right?  `syntax-ppss' is too slow
when called too many times?  Maybe it's possible
to reduce the number of calls?